---
apiVersion: external-secrets.io/v1beta1
kind: ClusterSecretStore
metadata:
  name: senhasegura
spec:
  provider:
    senhasegura:
      url: "https://senhasegura.changeme.com"
      module: DSM # Select senhasegura DSM module to sync secrets
      auth:
        clientId: "CHANGEME"
        clientSecretSecretRef:
          name: senhasegura-dsm-auth
          key: CLIENT_SECRET
          namespace: senhasegura # Namespace of Secret "senhasegura-dsm-auth"
      ignoreSslCertificate: false # Optional
